# hash:sha256:132ae0e527fd9eba50d102e563d528e027a537f6bd2611878594c8b90b5c38c4
FROM registry.codeocean.com/codeocean/miniconda3:4.9.2-python3.8-ubuntu20.04

ARG DEBIAN_FRONTEND=noninteractive

RUN apt-get update \
    && apt-get install -y --no-install-recommends \
        libgmp3-dev=2:6.2.0+dfsg-4ubuntu0.1 \
    && rm -rf /var/lib/apt/lists/*

RUN conda install -y \
        setuptools==68.2.2 \
    && conda clean -ya

RUN pip install -U --no-cache-dir \
    cvxopt==1.3.0 \
    cvxpy[gurobi]==1.3.2 \
    joblib==1.1.0 \
    numpy==1.23.4 \
    optuna==2.10.0 \
    plotly==5.9.0 \
    pygame==2.1.0 \
    pypoman==0.5.4 \
    pytest==7.1.1 \
    pyyaml==6.0 \
    scipy==1.8.0 \
    stable-baselines3==1.5.0 \
    tensorboard==2.10.0

COPY postInstall /
RUN /postInstall
